Name: x11-driver-input-evdev
Version: 1.99.1
Release: %mkrel 2
%define subrel 1
Summary: X.org input driver for Linux generic event devices
Group: System/X11
URL: http://xorg.freedesktop.org
Source: xf86-input-evdev-%{version}.tar.bz2

Patch0: 0001-Mice-with-a-lot-of-buttons-e.g.-Logitech-MX1000-ge.patch
Patch1: 0002-evdev-Port-b4a5a204-Fix-pointer-crossing-screen-bu.patch

License: MIT
BuildRoot: %{_tmppath}/%{name}-root

BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-server-devel >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1

Conflicts: x11-server < 1.4

%description
Evdev is an Xorg input driver for Linux's generic event devices.
It therefore supports all input devices that the kernel knows about,
including most mice and keyboards.

%prep
%setup -q -n xf86-input-evdev-%{version}

%patch0 -p1
%patch1 -p1

%build
autoreconf # <- needed for DRIVER_MAN_SUFFIX
%configure
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/xorg/modules/input/evdev_drv.la
%{_libdir}/xorg/modules/input/evdev_drv.so
%{_mandir}/man4/evdev.*


%changelog
* Thu Jul 10 2008 Vincent Danen <vdanen@mandriva.com> 1.99.1-2.1mdv2008.1
- build for updates

* Mon Jun 30 2008 Ander Conselvan de Oliveira <ander@mandriva.com> 1.99.1-2mdv2008.1
+ Revision: 230388
- Increase release number
- * Fix bug 39014: mouse buttons with numbers above BTN_TASK are ignored
  * Cherry pick fix for screen crossing bug.
- * Update to version 2.0.1
  * Fix bug #39014
- Update to version 2.0.0

* Mon Mar 17 2008 Pixel <pixel@mandriva.com> 1.99.1-1mdv2008.1
+ Revision: 188229
- switching to git version "master" version (cf #37726)
  (patches are either upstream or now unneeded)

* Thu Feb 21 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.2.0-5mdv2008.1
+ Revision: 173744
- Cherry-pick 7f1e8146d4b13929a86a4b80f783a720c1b5573a
  More accurate error messages on device open fail.
  The message "cannot open input pEvdev" resulted in a lot of bug reports
  of confused users that did not supply a device path. Now we tell them when
  it is missing or print out a reason when device open fails.

* Wed Jan 30 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.2.0-4mdv2008.1
+ Revision: 160481
- Revert to use only upstream tarballs and only mandatory patches.

* Tue Jan 22 2008 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.2.0-3mdv2008.1
+ Revision: 156576
- re-enable rpm debug packages support

* Mon Jan 21 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.2.0-2mdv2008.1
+ Revision: 155669
- Updated BuildRequires and resubmit package.
- Dont build debug package.
  Update BuildRequires.
  Cherry pick commit b327e7f5809bccef7a8562814676f2da21e420d0 that should
  fix https://bugs.freedesktop.org/show_bug.cgi?id=12630
- Remove -devel package as it isn't really required as it provides only 2 files
  that aren't even header files; still don't install the .la files.
  All dependency files should be stored in the x11-util-modular package as they
  are only required for the "modular" build.
- Move .la files to new -devel package, and also add .deps files to -devel package.
- Fix previous cut&paste edit. Update to generate tarball and patches from
  existing tag xf86-input-evdev-1.2.0 (that currently has no diff with master,
  so no need to remake mandriva specific branches).
- Update for new policy of hidden symbols and common macros.

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - replace HWheelRelativeAxisButtons-even-if-unused.patch with xf86-input-evdev-1.2.0-ensure-buttons-6-7-are-HWheel.patch
      (nb: this patch doesn't depend on HWheelRelativeAxisButtons being in the xorg.conf, so it may break, please report if it does)

* Mon Nov 19 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.2.0-1mdv2008.1
+ Revision: 110422
- new release

* Wed Nov 14 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.1.99.20071114-1mdv2008.1
+ Revision: 108704
- using version from git, since the latest release is considered
  incompatible with xserver-1.4 (!). See upstream bug #13222.
- dropping FixDuplicateArrayEntry-KeyPressedBitTests-XkbDefaults.patch
  and HWheelRelativeAxisButtons-7-6-by-default.patch (already upstream)
- dropping HWheelRelativeAxisButtons-even-if-unused.patch (code has changed
  a lot and nothing resembles the affected code from what I could see)

* Wed Oct 17 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.1.5-4mdv2008.1
+ Revision: 99604
- fix wrong conflict with x11-server

* Thu Oct 11 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.1.5-3mdv2008.1
+ Revision: 97209
- new release (to be built against new xserver)

* Wed Sep 19 2007 Paulo Andrade <pcpa@mandriva.com.br> 1.1.5-2mdv2008.0
+ Revision: 91063
- Possible fix for Bugzilla #32905

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix man pages


* Wed Dec 20 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.1.5-1mdv2007.0
+ Revision: 100510
- new release
- new release

* Tue Nov 21 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.1.4-1mdv2007.1
+ Revision: 85917
- new release

* Wed Sep 13 2006 Pixel <pixel@mandriva.com> 1.1.2-7mdv2007.0
+ Revision: 60986
- the name of the evdev option is HWheelRelativeAxisButtons, not HWheelXAxisMapping
- allow setting HWheelRelativeAxisButtons in config file to tell evdev to skip those buttons. that way we can standardize on buttons 6&7 for horiz scroll, and 8&9 for thumb back/next

* Thu Aug 17 2006 Pixel <pixel@mandriva.com> 1.1.2-5mdv2007.0
+ Revision: 56465
- really apply have-HWheelRelativeAxisButtons-7-6-by-default patch

* Thu Aug 17 2006 Pixel <pixel@mandriva.com> 1.1.2-4mdv2007.0
+ Revision: 56460
- (minor) drop old source
- make the HWheel work under gtk & qt instead of being reversed
- add CVS fixes (from fedora)

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix group
    - fill in summary & descriptions for all input drivers

  + Gustavo Pichorim Boiko <boiko@mandriva.com>
    - rebuild to fix cooker uploading
    - Updated drivers for X11R7.1
    - increment release
    - Adding X.org 7.0 to the repository

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

